Subject: bug#29217: 25.3; Emacs segfaults on images

From: Klaus Alexander Seistrup <[email-masked]>
Date: Sun, 12 Nov 2017 12:54:00 +0100

Charles A. Roelli wrote:

> Could you please show the corresponding backtrace from GDB?

#v+

Starting program: /usr/bin/emacs -Q /tmp/test.jpg
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffe582a700 (LWP 23637)]
[New Thread 0x7fffe3ea0700 (LWP 23638)]
[New Thread 0x7fffe369f700 (LWP 23639)]
[New Thread 0x7fffddb11700 (LWP 23641)]
[New Thread 0x7fffcee07700 (LWP 23647)]
[New Thread 0x7fffce606700 (LWP 23648)]
[New Thread 0x7fffcde05700 (LWP 23649)]
[New Thread 0x7fffcd604700 (LWP 23650)]
[New Thread 0x7fffcce03700 (LWP 23651)]
[New Thread 0x7fffcc602700 (LWP 23652)]
[New Thread 0x7fffcbe01700 (LWP 23653)]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00007ffff3619dc7 in ?? () from /usr/lib/libMagickCore-6.Q16HDRI.so.5
#0  0x00007ffff3619dc7 in  () at /usr/lib/libMagickCore-6.Q16HDRI.so.5
#1  0x00007ffff35f06ef in  () at /usr/lib/libMagickCore-6.Q16HDRI.so.5
#2  0x00007ffff369968f in UnsharpMaskImageChannel () at /usr/lib/libMagickCore-6.Q16HDRI.so.5
#3  0x00007ffff36fe429 in  () at /usr/lib/libMagickCore-6.Q16HDRI.so.5
#4  0x00007ffff36fecba in  () at /usr/lib/libMagickCore-6.Q16HDRI.so.5
#5  0x00007ffff36ff7cc in InitOpenCLEnv () at /usr/lib/libMagickCore-6.Q16HDRI.so.5
#6  0x00007ffff35edb52 in  () at /usr/lib/libMagickCore-6.Q16HDRI.so.5
#7  0x00007ffff35f1639 in  () at /usr/lib/libMagickCore-6.Q16HDRI.so.5
#8  0x00007ffff363bdb3 in CompositeImageChannel () at /usr/lib/libMagickCore-6.Q16HDRI.so.5
#9  0x00007ffff36e17a5 in MergeImageLayers () at /usr/lib/libMagickCore-6.Q16HDRI.so.5
#10 0x00007ffff3b3129b in MagickMergeImageLayers () at /usr/lib/libMagickWand-6.Q16HDRI.so.5
#11 0x00000000005cdb21 in  ()
#12 0x00000000005d5ac5 in  ()
#13 0x00000000005d5fb1 in  ()
#14 0x000000000055c606 in  ()
#15 0x0000000000593eb3 in  ()
#16 0x000000000055c483 in  ()
#17 0x0000000000593eb3 in  ()
#18 0x000000000055c483 in  ()
#19 0x0000000000593eb3 in  ()
#20 0x000000000055c483 in  ()
#21 0x0000000000593eb3 in  ()
#22 0x000000000055c483 in  ()
#23 0x0000000000593eb3 in  ()
#24 0x000000000055c483 in  ()
#25 0x0000000000593eb3 in  ()
#26 0x000000000055c483 in  ()
#27 0x0000000000593eb3 in  ()
#28 0x000000000055c483 in  ()
#29 0x0000000000593eb3 in  ()
#30 0x000000000055c483 in  ()
#31 0x0000000000593eb3 in  ()
#32 0x000000000055c483 in  ()
#33 0x0000000000593eb3 in  ()
#34 0x000000000055c483 in  ()
#35 0x0000000000593eb3 in  ()
#36 0x000000000055c483 in  ()
#37 0x0000000000593eb3 in  ()
#38 0x000000000055c483 in  ()
#39 0x0000000000593eb3 in  ()
#40 0x000000000055c483 in  ()
#41 0x0000000000593eb3 in  ()
#42 0x000000000055eb6d in  ()
#43 0x000000000055e108 in  ()
#44 0x000000000055fde4 in  ()
#45 0x000000000055ba93 in  ()
#46 0x00000000004ebe19 in  ()
#47 0x000000000055ba1a in  ()
#48 0x00000000004eaf19 in  ()
#49 0x00000000004ef67c in  ()
#50 0x00000000004ef997 in  ()
#51 0x000000000041491a in  ()
#52 0x00007ffff0ae7f6a in __libc_start_main () at /usr/lib/libc.so.6
#53 0x00000000004154aa in  ()

#v-

> I can't reproduce the issue locally.

Another Arch user I know cannot reproduce it either. However, I cloned the 
git repository and compiled emacs from the latest commit. Happens with that 
version, too.

Cheers,

-- 
Klaus Alexander Seistrup
https://klaus.seistrup.dk/